%define name	gps3d
%define version	1.20
%define release 3mdk

Name: 	 	%{name}
Summary: 	GPS data translator and GUI
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-Makefile.patch.bz2
URL:		http://www.pygps.org/gpsd/gpsd.html
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel libMesaGLU-devel

%description
Gpsd is a translator. It takes input from a device capable of generating
positional data (like a GPS or a Loran receiver) and translates it into
another, very simple format. Gpsd re-publishes the data on a networking port
via ip. Clients can connect to this port and request data at their leisure.
Included in the package is a sample/simple client called 'gps'. It connects
to a gpsd at any host you tell it to, and requests raw data, so that it can
display the current location of all visible GPS satellites your receiver
'sees'.

NOTE: Running viz alone works fine for mapping.  Run gpsd first if you want
      to communicate with your GPS as well.

%prep
%setup -q
%patch

%build
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp gps gpsd viz $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="/usr/bin/viz" icon="communications_section.png" needs="x11" title="GPS3D" longtitle="GPS 'viz' utility" section="More applications/Communications"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc Readme.txt Track gps3d.prj
%{_bindir}/gps
%{_bindir}/gpsd
%{_bindir}/viz
%{_menudir}/%name

%changelog
* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 1.20-3mdk
- fix menu

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.20-2mdk
- fix menu and description

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.20-1mdk
- initial package
